%global rbname xmlparser
Summary: XML Parser for Ruby
Name: ruby-xmlparser

%global momorel 3

Version: 0.6.8
Release: %{momorel}m
Group: Development/Libraries
License: Ruby
URL: http://www.yoshidam.net/Ruby.html

%NoSource 0 http://www.yoshidam.net/%{rbname}-%{version}.tar.gz 8f0d200b6e7ed2ec972cbbb033a4c857

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby
BuildRequires: ruby-devel >= 1.8.2
BuildRequires: expat-devel >= 1.95.2
BuildRequires: perl-XML-Parser

Requires: ruby >= 1.6.7, expat >= 1.95.2

%description
XML parser for Ruby.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')


%prep
%setup -q -n xmlparser
find . -type f | \
  xargs ruby -p -i -e '$_.sub!(%r|/usr/local|, "%{_prefix}")'
find . -type f | xargs chmod 644
find . -type d | xargs chmod 755
find . -type d -name CVS | xargs rm -rf

%build
ruby extconf.rb --with-perl-enc-map=%{perl_sitearch}/XML/Parser/Encodings
make sitedir=%{_libdir}/ruby

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make install sitedir=%{buildroot}%{_libdir}/ruby
mkdir -p %{buildroot}%{_datadir}/XML/Parser
cp -R Encodings %{buildroot}%{_datadir}/XML/Parser

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README README.ja samples
%{ruby_archdir}/xmlparser.so
%{ruby_libdir}/*.rb
%{ruby_libdir}/xml
%{_datadir}/XML

%changelog
* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6.8-3m)
- rebuild against ruby-1.8.2

* Thu Apr  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6.8-2m)
- Buildrequires: perl-XML-Parser

* Wed Apr  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6.8-1m)
- fix a buffer overflow of character encoding name.
- taint outputs when a input XML is tainted.                               
- append XML::Parser object to block parameters of XML::Parser#parse method
- delete features of expat-1.2

* Wed Oct 22 2003 zunda <zunda at freeshell.org>
- (0.6.5-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.5-3m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.5-2m)
- rebuild against ruby-1.8.0.

* Wed Sep 25 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.6.5-1m)

* Sun Mar 24 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.6.2-2k)
- BuildPreReq: not expat but expat-devel

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (0.6.1-10k)
- nigittenu

* Mon Jun  4 2001 Toru Hoshina <toru@df-usa.com>
- (0.6.1-6k)

* Sat Jan 06 2001 Kenichi Matsubara <m@kondara.org>
- (0.6.1-5k)
- add BuildPreReq: expat.

* Wed Jan 03 2001 Kusunoki Masanori <nori@kondara.org>
- (0.6.1-3k)
- up to 0.6.1.
- split expat.

* Thu Oct 19 2000 Toru Hoshina <toru@df-usa.com>
- it should be suitable to both ruby 1.4.x and 1.6.x.

* Tue Oct 16 2000 Toru Hoshina <toru@df-usa.com>
- rebuild against ruby 1.6.1.

* Thu Apr 20 2000 Toru Hoshina <t@kondara.org>
- Multi platform support.

* Sat Apr  8 2000 OZAWA -Crouton- Sakuro <crouton@duelists.org>
- First release for Kondara.
